Description

It would be useful to have "field" support in the print composer. Fields are variables and would be part of text labels in the print composer.

The field value/content would be replaced when printing/previewing the map layout. Fields are common in text-processing.

Potential candidates for fields are:

    -  current date, proposed fieldname: currentDate

    -  current username (on an operating system level), proposed fieldname: currentUser

    -  current project title, proposed fieldname: currentProjectTitle

    -  current projection, proposed fieldname: currentProjection

    -  current map units, proposed fieldname: currentMapUnits

Are there more useful field names in this context?

There would have to be delimiters who separate fieldnames from regular text, potential formats:

<fieldName>

$fieldName$

§fieldName§

History

#1 - 2010-06-13 09:12 AM - Andreas Neumann

parts of it (currenDate) is already implemented in print composer. This was also the most urgent one of the proposed fields.

I still think that other fields should be added later on, but it is ok to move this to 1.6

#2 - 2011-07-18 08:06 PM - Alister Hood

Are there more useful field names in this context?

- File name (and path)

- Composer layout name
- Scale (when there is more than one map in a layout there would need to be a way to tell it which map to get the information from)

#3 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-02-13 08:40 PM - Alister Hood

- Pull Request or Patch supplied set to No

Are there more useful field names in this context?

I think these would be useful:

- saveDate - the date the project was last saved

- layerSaveDate - the date a particular layer was last saved.

#5 - 2012-04-15 10:13 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#6 - 2012-10-06 02:34 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#7 - 2012-10-06 02:44 AM - Andreas Neumann

- Status changed from Open to Closed

This is implemented as part of the Atlas plugin. It allows to use the expression builder for any label element in print composer. People may want additional

expressions, but they should go into the expression builder.
